ncmpc 0.47 - (2022-06-30)
* handle Ctrl-C in search prompt
* link with libintl and libiconv if necessary
* require libmpdclient 2.16 or newer
* require MPD 0.21 or newer
* switch to C++20

ncmpc 0.46 - (2021-11-26)
* eliminate Boost dependency
* install Lithuanian translation
* migrate to PCRE2

ncmpc 0.45 - (2021-02-12)
* make "tagtypes" errors non-fatal
* check which tag types are supported by MPD (fixes MPD 0.21 support)
* lyrics: update page title after loading has finished
* lyrics: fix path injection bug
* lyrics: load cached lyrics without plugin
* lyrics: use $XDG_CACHE_HOME/ncmpc/lyrics instead of ~/.lyrics
* lyrics/azlyrics: normalize accented letters (using the "unidecode" library)
* lyrics/azlyrics: unescape HTML entities

ncmpc 0.44 - (2021-02-01)
* fix scrolling problems on help page
* highlight find results on help page
* don't attempt IPv6 connection if IPv6 routing is disabled

ncmpc 0.43 - (2021-01-27)
* support MPD 0.22 tags "conductor", "work", "grouping" (requires
  libmpdclient 2.17)
* show "conductor" and "work" on song page
* playlist editor (work in progress)
* file page: handle mouse double clicks
* fix crash bug
* fix build failure on macOS
* add azlyrics plugin

ncmpc 0.42 - (2020-10-28)
* file page: repaint after moving cursor with mouse
* file page: handle mouse click on directory
* library page: mouse support
* support the mouse wheel
* fix assertion failure on exit

ncmpc 0.41 - (2020-10-16)
* new main loop (copying code from MPD, replacing boost::asio)
* library page: fix crash bug
* lyrics: remove the "lyricwiki" plugin because the site is gone

ncmpc 0.40 - (2020-10-07)
* fix crash when range selection includes ".."
* fix another crash with a very narrow terminal window
* another jumping cursor fix for large scroll-offset values
* show elapsed time of streams

ncmpc 0.39 - (2020-08-21)
* library page: skip tags when there is only one value
* fix jumping cursor with large scroll-offset values
* key bindigs page: fix crash bug
* key bindigs page: eliminate bogus message "Did you forget to Apply your changes?"

ncmpc 0.38 - (2020-04-30)
* add option "timedisplay-type=none" to hide current song time
* fix use-after-free bug
* fix crash after entering empty password

ncmpc 0.37 - (2020-01-24)
* show performer on song page
* show partitions on outputs page (requires libmpdclient 2.18)
* search: add search tag "modified" (requires libmpdclient 2.10)
* fix compatibility with MPD versions older than 0.21
* switch to C++17

ncmpc 0.36 - (2019-11-05)
* screen_keydef: show "Add new key" only if there is room for more keys
* support the Alt modifier in hotkeys
* reduce network transfer

ncmpc 0.35 - (2019-09-14)
* fall back to "AlbumArtist" tag in the default format
* fix crash with a very narrow terminal window
* config: allow escaping single quote with backslash in key bindings
* config: fix bug with deprecated names in "screen-list" setting

ncmpc 0.34 - (2019-04-10)
* show total duration of range selection in status bar
* fix high CPU usage in key bindings check
* fix high CPU usage during text input
* fix background color "none"
* adapt to Boost 1.70.0 API changes
* fixed manual install dir

ncmpc 0.33 - (2018-10-22)
* artist page: rename to "library"
* library page: make tag list configurable
* fix color configuration parser bug
* fix build failure when libpcre is not found
* remove support for liblircclient (only liblirc)
* build: require Meson 0.47
* build: use Meson option type `feature`
* build: remove obsolete option `tcp`
* build: add option to disable regular expression support

ncmpc 0.32 - (2018-10-05)
* fix crash bug on queue page
* fix crash bug on lyrics page
* fix off-by-one buffer overflow bug
* fix manpage installation directory
* fix build breakages with some ncurses builds
* work around GCC 4.9 build failure
* remove doxygen support
* new dependency: Boost
* remove dependency on GLib

ncmpc 0.31 - (2018-09-19)
* fix "No such song" in search screen
* fix progressbar when colors are disabled
* enable colors by default
* allow configuring per-style background colors
* keep current song in xterm title when MPD is paused
* load configuration from $XDG_CONFIG_HOME/ncmpc/config
* always show the screen list at the top
* fix memory leak
* require MPD 0.19

ncmpc 0.30 - (2018-04-04)
* fix crash after pressing ^W in search screen
* fix crash bug in chat screen
* fix completion list
* new color "progressbar-background"
* switch the code base to C++14
* build manual with Sphinx

ncmpc 0.29 - (2017-11-05)
* fix crash after losing MPD connection
* fix crash after DNS lookup error
* add Meson option "lyrics_plugin_dir"
* fallback libncurses detection without pkg-config

ncmpc 0.28 - (2017-09-21)
* fix crash on lyrics screen
* fix memory leak
* hide the MPD password from the queue screen title
* implement password for asynchronous connect
* build with Meson instead of autotools

ncmpc 0.27 - (2017-03-25)
* work around connect failure if /var/run/mpd/socket does not exist
* remove the status bar clock (option "display-time")
* fix assertion failure after connect failure
* several Windows build fixes

ncmpc 0.26 - (2017-03-20)
* require libmpdclient 2.9
* adapt to lirc 0.9.4
* lyricswiki: update regex
* screen_song: show "f" and "dsd" formats
* connect asynchronously
* fix flickering in color mode
* fix gcc 7 warnings

ncmpc 0.25 - (2016-08-18)
* implement "%disc%"
* lyricswiki: handle redirects
* lyricswiki: update XML format


ncmpc 0.24 - (2014-07-14)
* fix crash on "jump" (hotkey ".")
* save keys to path specified by --key-file


ncmpc 0.23 - (2014-07-10)
* fix broken l10n in out-of-tree builds


ncmpc 0.22 - (2014-06-09)
* rename "playlist" to "queue"
* remove useless "Connected to ..." message
* require libmpdclient 2.3, MPD 0.16
* patched color line-flags
* configuration option "search-format"
* remove broken leoslyrics plugin
* show audio format in song screen


ncmpc 0.21 - (2013-04-11)
* add a chat screen for communication with other clients on the same server
* song format: evaluate literal strings as true
* fix crash on search screen when disconnected
* screen_queue: fix crash on CMD_SCREEN_SWAP when the queue is empty
* lyricswiki: fix Ruby 2.0 and UTF-8


ncmpc 0.20 - (02/05/2012)
* increase connection timeout to 5 seconds
* screen_queue: follow songs when they are moved out of the visible
  range
* add a doxygen configuration file. Documentation will be generated if the
  configure script is called with --enable-documentation
* screen_lyrics: You can now edit lyrics by pressing 'e'
* configurable timeout for MPD connections
* screen_keydef: show command descriptions
* show the paths of the configuration files in --version output


ncmpc 0.19 - (07/23/2011)
* require libmpdclient 2.2
* show real server address in status message
* fix crash after "clear" command
* po: added Polish translation


ncmpc 0.18 - (09/22/2010)
* screen_song: show song range
* screen_artist: respect artist when adding albums
* po: added Italian translation


ncmpc 0.17 - (06/22/2010)
* screen_queue: fix range selection check on "shuffle"
* screen_browser: check for error before adding song to playlist
* po: added Brazilian Portuguese translation


ncmpc 0.16.1 - (01/17/2009)
* screen_queue: always update the list size
* screen_browser: fixed jump to playlist file


ncmpc 0.16 - (12/25/2009)
* using libmpdclient 2.0 instead of built-in libmpdclient
* require MPD 0.12
* allow multiple queued database updates
* reactivate incremental playlist changes
* optimize "add+play song" with addid/playid
* handle stderr messages from lyrics plugins
* search: eliminate duplicate results
* use the "idle" command to reduce CPU and network usage
* disable the status bar clock by default
* list_window: fix narrow cursor drawing
* screen_play: repaint after the "select-playing" command
* screen_text: start searching at window origin, not bottom
* strfsong: support multiple values for a tag
* screen_browser: different colors for directories and playlists
* screen_browser: display song duration
* screen_queue: move ranges with one single "move" command
* status_bar: fix display_remaining_time while seeking
* status_bar: display elapsed time event when total time is unknown
* charset: added support for zero-width characters
* colors: added support for 256 colors and text attributes
* compatibility fixes for GLib 2.12


ncmpc 0.15 - 2009-09-24
* added the "lyrics-autosave" option
* added CMD_SELECT_PLAYING
* display song duration in the playlist
* added the "hardware_cursor" option
* show plugin error messages on the screen
* fixed NULL pointer dereference when not yet connected
* new translation: Hebrew


ncmpc 0.14 - 2009-04-21
  * bell on wrapped search (optionally)
  * added new "jump" ('.') command, which queries the user for a string and
    jumps to the entry which begins with that string while the user is typing.
  * added new "select range" ('v') command, which lets the user perform various
    actions (e.g. add to playlist, delete, move, shuffle) on ranges of songs
  * added commands ('H', 'M', 'L') to jump to top, middle, and bottom of screen
  * added scrolling commands ('^B', '^N', 'B', 'N') to scroll up/down one line
    or up/down half a screen
  * added screen swap ('`') command to switch to the most recently used screen
  * added MPD information and currently playing song to the info screen ('i')
  * support for new MPD 0.15 modes: single ('y'), consume ('C')
  * added "scroll-offset" option
  * new translations: Czech, Simplified Chinese, Korean, Ukrainian, Dutch


ncmpc 0.13 - 2009-01-09
  * added output configuration screen, default hotkey F8
  * new --disable-locale configure option
  * new --disable-multibyte configure option; this allows you to
    disable wide character support, retaining multibyte character
    support
  * search with regular expressions


ncmpc 0.12 - 2008-12-05
  * added artist screen (tag browser)
  * added highly experimental lyrics screen (disabled by default)
  * removed clock screen
  * support wide characters
  * optimized memory usage
  * always try to reconnect after server failure
  * support unix domain sockets for the MPD connection
  * added compile-time "mini" option which produces the smallest
    possible ncmpc binary
  * added LIRC support
  * scroll long song names in the playlist
  * added command "locate" ('G') which locates a song in the database browser
  * added "song" screen ('i') which displays song information


ncmpc 0.11.1 - 2005-01-24
 + Spanish translations from Jose Cedeno
 + Russian translations from Nikolay Pavlov
 + French translations from Yann Cézard
 + ncmpc now supports SIGSTOP and SIGCONT (Ctrl-Z)
 + ncmpc now hides the cursor on the help screen
 + ncmpc now can enqueue and play a song from the browse screen (Enter)
 + configuration changes:
	o ncmpc no longer supports the old configuration file syntax
	o the crossfade time can now be definied in (crossfade-time)
	o support for ncurses mouse events is now optional (enable-mouse)
 + bugfixes:
	o fixed short option handling for multiple short options
	o %time% format fix from Aurelien Foret (use %02d for seconds)
	o Fixed abort (Ctrl-G) handling when saving playlist
	o survive select/find operations on empty lists (Niko Tyni)


ncmpc 0.11.0 - 2004-07-09
 + removed popt dependency
 + the default port is now 6600 (mpd-0.11.0)
 + nls support (glib-2.4 required for nls)
 + ncmpc now uses the terminal in raw mode (enabling key bindings to Ctrl-C...)
 + changed key bindings:
	o cursor movement up/down with j and k (used to be . and ,)
	o the update/redraw command is now executed with Ctrl-L (used to be u) 
 + new ncmpc commands:
	o move a playlist entry up/down with Ctrl-K, Ctrl-J (playlist screen)
	o add a song/url with a (playlist screen)
	o support for MPD db updates with Ctrl-U 
 + new command line options --config=FILE and --key-file=FILE
 + configuration changes:
	o replaced '_' with '-' in configuration field names
	o the color support in ncmpc have been redesigned - more colors and 
	  color fields
	o the display of song names can now be customized (list-format, 
	  status-format, xterm-title-format)
	o ncmpc no longer changes the xterm title by default (set-xterm-title)
	o new option for default find mode (find-wrap)
	o new option for cplay like cursor movement (wrap-around)
	o alert bells can be customized (audible-bell,visible-bell)
	o the wide cursor is now enabled by default (wide-cursor)
	o view the sample configuration file or the manual page for details 
 + ncmpc now scrolls long song names on the status line
 + ncmpc now have a new build in line editor with completion and history
 + ncmpc now remembers the cursor position when changing directories
 + ncmpc now offers to overwrite when saving playlists
 + ncmpc now have an optional clock screen
 + ncmpc now updates the local playlists via MPD's plchanges command...
 + ncmpc now support ncurses mouse events (xterm)
 + ncmpc now has german translations from Ingmar Gebert
 

ncmpc 0.10.1 - 2004-04-26
 + support for user key bindings (~/.ncmpc/keys)
 + a key configuration screen (press 'K')
 + fixed resize event (SIGWINCH) handling.
 + improved drawing routines (removes flickering)
 + support for seeking, toggle crossfade 
 + support for a wide (like cplay) cursor (se the man page for details)
 + display mpd status flags on the second row [rzx] (repeat,random,crossfade)
 + support for system-wide configuration files (config,keys)
 + the user configuration file is moved to ~/.ncmpc/config
 + and some small changes (view the ChangeLog for details)


ncmpc 0.10.0 - 2004-04-12
